Can't get odtwriter to work


G

Grant Edwards

I just installed odtwriter 1.3d on a Gentoo system running Python
2.6.4. I used the normal "python setup.py build" then "python
setup.py install" method. But, odtwriter doesn't seem to work:

rst2odt.py --help

Traceback (most recent call last):
File "/usr/bin/rst2odt.py", line 5, in <module>
pkg_resources.run_script('odtwriter==1.3d', 'rst2odt.py')
File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 461, in run_script
self.require(requires)[0].run_script(script_name, ns)
File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1194, in run_script
execfile(script_filename, namespace, namespace)
File "/usr/lib/python2.6/site-packages/odtwriter-1.3d-py2.6.egg/EGG-INFO/scripts/rst2odt.py", line 21, in <module>
from docutils.writers.odtwriter import Writer, Reader
ImportError: No module named odtwriter

I verified that I have docutils installed:

Python 2.6.4 (r264:75706, Mar 1 2010, 10:33:43)
[GCC 4.1.2 (Gentoo 4.1.2 p1.1)] on linux2
Type "help", "copyright", "credits" or "license" for more information. <module 'docutils' from '/usr/lib/python2.6/site-packages/docutils/__init__.pyc'>

What am I doing wrong?
 
Ad

Advertisements

G

Grant Edwards

I just installed odtwriter 1.3d on a Gentoo system running Python
2.6.4. I used the normal "python setup.py build" then "python
setup.py install" method. But, odtwriter doesn't seem to work:

rst2odt.py --help

Traceback (most recent call last):
File "/usr/bin/rst2odt.py", line 5, in <module>
pkg_resources.run_script('odtwriter==1.3d', 'rst2odt.py')
File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 461, in run_script
self.require(requires)[0].run_script(script_name, ns)
File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 1194, in run_script
execfile(script_filename, namespace, namespace)
File "/usr/lib/python2.6/site-packages/odtwriter-1.3d-py2.6.egg/EGG-INFO/scripts/rst2odt.py", line 21, in <module>
from docutils.writers.odtwriter import Writer, Reader
ImportError: No module named odtwriter

I verified that I have docutils installed:

Python 2.6.4 (r264:75706, Mar 1 2010, 10:33:43)
[GCC 4.1.2 (Gentoo 4.1.2 p1.1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.<module 'docutils' from '/usr/lib/python2.6/site-packages/docutils/__init__.pyc'>

What am I doing wrong?

I'm not sure what/if I did wrong when installing docutils/odtwriter,
but I managed to make it work by manually copying everything from

/usr/lib/python2.6/site-packages/odtwriter-1.3d-py2.6.egg/docutils/writers

to

/usr/lib/python2.6/site-packages/docutils/writers

I think that means that odtwriter's setup.py is old/broken, but I
don't know enough to fix it...
 

Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments. After that, you can post your question and our members will help you out.

Ask a Question

Top